首页 新闻 搜索 专区 学院

java EE 项目中, hibernate 普遍使用哪个版本?

0
悬赏园豆:50 [已解决问题] 解决于 2016-05-24 11:21

正在学Hibernate,不知道该选择 3 、4 、还是 5。

买了本书 是 讲 的 4.3.5 版本,

找了个视频教程 是3.3.2版本(感觉人家讲的很好,没找到 讲得好的 4.x 的教程)

感觉 3.x 版本和 4.x 版本 差很多,5.x 版本不知道。

版本号变了,高版本还向低版本 兼容吗?

初学者,给点建议呗。

感谢您的回答。

ChuangZ的主页 ChuangZ | 初学一级 | 园豆:21
提问于:2016-05-13 12:07
< >
分享
最佳答案
0

用四吧  现在普遍用的都是4.3.*的

其原理都一样

收获园豆:20
R_Oasis | 初学一级 |园豆:71 | 2016-05-13 14:17
其他回答(2)
0

4里面没有hibernateTemplate 了,在配置的属性地方还有一些细微差别,如果熟悉3就用3

收获园豆:20
yuan.net | 园豆:165 (初学一级) | 2016-05-14 22:55
0

4

收获园豆:10
小光 | 园豆:1830 (小虾三级) | 2016-05-20 18:18
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册